import request from '@/utils/request'

// 获取计算资源菜单
export function computilityMenu (query) {
  return request({
    url: '/api/v1/computilityMenu',
    method: 'get',
    params: query
  })
}


// 根据应用类别返回对应计算机资源列表
export function getRListByCategory (query) {
  return request({
    url: '/api/v1/getRListByCategory',
    method: 'get',
    params: query
  })
}


// 计算资源详情
export function getRDetail (query) {
  return request({
    url: '/api/v1/getRDetail',
    method: 'get',
    params: query
  })
}

// 计算资源计算价格
export function orderComputer (query) {
  return request({
    url: '/api/v1/orderComputer',
    method: 'post',
    data: query
  })
}

// 计算资源确认订单
export function orderBuy (query) {
  return request({
    url: '/api/v1/orderBuy',
    method: 'post',
    data: query
  })
}

// 确认订单回显数据
export function confirmOrderInfo (query) {
  return request({
    url: '/api/v1/' + query.id,
    method: 'get'
  })
}


// 计算资源提交订单
export function orderSubmit (query) {
  return request({
    url: '/api/v1/orderSubmit',
    method: 'post',
    data: query
  })
}


// 计算资源加购物车
export function shoppingAdd (query) {
  return request({
    url: '/api/v1/shoppingAdd',
    method: 'post',
    data: query
  })
}

// 计算资源购物车列表
export function shoppingList (query) {
  return request({
    url: '/api/v1/list',
    method: 'get'
  })
}

// 计算资源购物车修改数量
export function shoppingEdit (query) {
  return request({
    url: '/api/v1/shoppingEdit',
    method: 'put',
    data: query
  })
}

// 计算资源购物车删除接口
export function shoppingDelete (ids) {
  return request({
    url: `/api/v1/${ids}`,
    method: 'delete'
  })
}

// 计算资源购物车提交接口
export function shoppingSubmit (ids) {
  return request({
    url: `/api/v1/shoppingComputer/${ids}`,
    method: 'get'
  })
}

